function drawScatterplot(OldAUCs, NewAUCs, filename)

figure;
hold on;
H1 = plot(OldAUCs, NewAUCs, 'k.');
H2 = plot([0.5 1], [0.5 1], 'k-');
xlabel('AUC of Independent SVMs');
ylabel('AUC after Bayesian Correction');
axis square;
axis equal;
set(H1, 'MarkerSize', 12);

if nargin >= 3
  print(filename, '-depsc2');
end
