% Playing around with GRID data
function M = GRID

% load data
M = loaddata_GRID('c:\\My Projects\\Python\\Bioinformatics\\Affinity Precipitation.txt');

% make symmetric
M = M | M';

% set diagonal
M = M | diag(sparse(ones(1,size(M,1))));

M = double(M);

% purge zeros
I_nonzero = find(sum(M) > 1);
M = M(I_nonzero, I_nonzero);

% sort in nonzero count
I_colperm = colperm(M);
M = M(I_colperm, I_colperm);

spy(M);
