function exp_run_selected(ClassIDs)

cd /n/fs/zbarutcu/research/function/Reuters/

if nargin < 1
  ClassIDs = getSelectedClassIDs;
end
 
for i=1:size(ClassIDs,1)
  classid = ClassIDs{i};
  %exp_LogReg('bagging', [10 1], classid);
  %exp_SVMlight('cv', [1 5], classid, ...
  exp_SVMlightMEX('bagging', [3 1], classid, ...
    '/n/fs/zbarutcu/research/function/Reuters/data/lyrl2004_vectors_train.mat', ...
    {'/n/fs/zbarutcu/research/function/Reuters/data/lyrl2004_Labels_topics_train.mat', i}, ...
    'rawresults', ...
    'linear');
  %exp_kNN('cv', [1 2], classid, [], {'C:/Documents and Settings/Administrator/My Documents/Machine Learning/Shape/Data/TopDownLabels.mat', i}, [], 1); % k=1
  %exp_kNN('loo', [1 2], classid, [], {'C:/Documents and Settings/Administrator/My Documents/Machine Learning/Shape/Data/Labels.mat', i}, [], 3); % k=1
  %exp_kNN('cv', [1 2], classid, [], {'C:/Documents and Settings/Administrator/My Documents/Machine Learning/Shape/Data/Labels.mat', i}, [], 'auto'); % k=Auto
  %exp_kNN('cv', [1 2], classid, [], {'C:/Documents and Settings/Administrator/My Documents/Machine Learning/Shape/Data/TopDownLabels.mat', i}, [], 'auto'); % k=Auto
end
disp('Finished!');
