function [NodeParents, numnodes] = createTreeHierarchy(outdegree, depth)

NodeParents = zeros(0,2);
numnodes = 1;
leaves = [1];
for i = 1:depth
  % add outdegree nodes to every leaf
  newleaves = [];
  for node=leaves
    for j=1:outdegree
      numnodes = numnodes + 1;
      NodeParents(end+1,1:2) = [node numnodes];
      newleaves(end+1) = numnodes;
    end
  end
  leaves = newleaves;
end;
  