"""
Count how many genes in each GO node belong to each L_neg locale.
"""

import Colocalization_L_neg
coloc = Colocalization_L_neg.Colocalization_L_neg()
coloc.loadFile()

import SelectedGONodes
for goid in SelectedGONodes.SelectedGOIDs:
    n = go.nodesByID[goid]
    
    countAll = {}
    countDirect = {}
    for k in coloc.groups.keys():
        countAll[k] = 0
        countDirect[k] = 0
        
        for g in n.genes:
            if g['ORF'] in coloc.groups[k]:
                countAll[k] = countAll[k] + 1
        
        for g in n.directGenes:
            if g['ORF'] in coloc.groups[k]:
                countDirect[k] = countDirect[k] + 1
        
    print '%s [%d %d %d %d] [%d %d %d %d]' % ((n.ids[0],) + tuple(countAll.values()) + tuple(countDirect.values()))
