# Loads the common objects to prepare the environment for tinkering.
import GeneIndex
geneIndex = GeneIndex.GeneIndex()
geneIndex.loadFile()
geneIndex.printSummary()

import ontology
go = ontology.Ontology()
go.loadFile()
import association
assoc = association.Association(translator = geneIndex.Any2ORF)
assoc.loadFile()
go.addAnnotations(assoc)
go.printSummary()

import GRID
grid = GRID.Interactions(translator = geneIndex.Any2ORF)
grid.loadFile()
grid.printSummary()

print "Ready."
