function [y] = alg_SVMlightMEX_eval(ModelParams, Inputs)
% function [y] = alg_SVMlightMEX_eval(ModelParams, Inputs)

if isequal(ModelParams.NormalizeInputs, 'yes')
    disp('WARNING: alg_SVMlight_eval scaling inputs...');
    NormalizedInputs = normalizeInputs(Inputs, ModelParams.ScalingMean, ModelParams.ScalingStd);
    disp('alg_SVMlight_eval scaling inputs done.');
    [err, y] = svmclassify(NormalizedInputs, zeros(size(Inputs,1),1), ModelParams.SVM);
else
    [err, y] = svmclassify(Inputs, zeros(size(Inputs,1),1), ModelParams.SVM);
end

% sigmoid for ranking
%y = (1 + exp(-y)).^-1;

return
