function [y] = alg_SVMlight_eval(ModelParams, Inputs)
% y = (sign(svm_Eval(x, ModelParams)) + 1) ./ 2;

if isequal(ModelParams.NormalizeInputs, 'yes')
    disp('WARNING: alg_SVMlight_eval scaling inputs...');
    NormalizedInputs = normalizeInputs(Inputs, ModelParams.ScalingMean, ModelParams.ScalingStd);
    disp('alg_SVMlight_eval scaling inputs done.');
    %y = (svmfwd(ModelParams.SVM, NormalizedInputs) + 1) ./ 2;
    y = svmlfwd(ModelParams.SVM, NormalizedInputs);
else
    %y = (svmfwd(ModelParams.SVM, Inputs) + 1) ./ 2;
    y = svmlfwd(ModelParams.SVM, Inputs);
end

% RAW: NO sigmoid for ranking
%y = (1 + exp(-y)).^-1;

return
