function S = sparse_index(X,I,J)
% function S = sparse_index(X,I,J)
%
% Returns S = X(I,J) for very large sparse matrices that cause a memory
% overflow otherwise.

S = X(:,J);
S = S';
S = S(:,I)';

% LI = length(I);
% LJ = length(J);
% S = sparse(LI, LJ);
% for i = 1:LI
%     for j = 1:LJ
%         S(i,j) = X(I(i),J(j));
%     end
% end
