function makeResultsPage(ResArrayN1,ResArrayN2,NodeInfos)

disp(['<table>']);

for i1=1:size(ResArrayN1,1)
    ResultsN1 = ResArrayN1{i1};
    GOID = ResultsN1.GOID;
    % match N2 result
    i2=0;
    for j=1:size(ResArrayN2,1)
        if isequal(GOID, ResArrayN2{j}.GOID)
            i2 = j;
            break
        end
    end
    if i2 == 0
        error(['N2 Results for ', GOID, ' not found!']);
    end
    ResultsN2 = ResArrayN2{i2};
    
    iInfo=0;
    for j=1:size(NodeInfos.GOIDs,1)
        if isequal(GOID, NodeInfos.GOIDs{j})
            iInfo = j;
            break
        end
    end
    if iInfo == 0
        error(['NodeInfo for ', GOID, ' not found!']);
    end
    disp(['<tr><td>', GOID,
        '</td><td>', num2str(NodeInfos.directGenes(iInfo)),
        '</td><td>', num2str(NodeInfos.totalGenes(iInfo)),
        '</td><td>', num2str(NodeInfos.usedGenes(iInfo)),
        '</td><td>', num2str(mean(ResultsN1.AUCs)), ' &plusmn ', num2str(std(ResultsN1.AUCs)),
        '</td><td><a href="images/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png" target="_blank">',
        '<img src="images/small/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png"></a><br>',
        '</td><td>', num2str(mean(ResultsN2.AUCs)), ' &plusmn ', num2str(std(ResultsN2.AUCs)),
        '</td><td>', num2str(ResultsN2.HeldOutMeanAUC),
        '</td><td>', num2str(ResultsN2.HeldOutMedianAUC),
        '</td><td><a href="images/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png" target="_blank">',
        '<img src="images/small/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png"></a><br>',
        '</td><td>', NodeInfos.nodeNames{iInfo},
        '</td></tr>']);
end

disp(['</table>']);
