function makeResultsPage(ResArrayN1,ResArrayN2,NodeInfos)
% function makeResultsPage(ResArrayN1,ResArrayN2,NodeInfos)
%
% Writes tabulated data for web page.

for iInfo=1:size(NodeInfos.GOIDs,1)
    GOID = NodeInfos.GOIDs{iInfo};

    % match N1 result
    i1=0;
    for j=1:size(ResArrayN1,1)
        if isequal(GOID, ResArrayN1{j}.GOID)
            i1 = j;
            break
        end
    end
    if i1 == 0
        error(['N1 Results for ', GOID, ' not found!']);
    end
    ResultsN1 = ResArrayN1{i1};

    % match N2 result
    i2=0;
    for j=1:size(ResArrayN2,1)
        if isequal(GOID, ResArrayN2{j}.GOID)
            i2 = j;
            break
        end
    end
    if i2 == 0
        error(['N2 Results for ', GOID, ' not found!']);
    end
    ResultsN2 = ResArrayN2{i2};
    
%     disp(['<tr><td>', GOID, ...
%         '</td><td>', num2str(NodeInfos.directGenes(iInfo)), ...
%         '</td><td>', num2str(NodeInfos.totalGenes(iInfo)), ...
%         '</td><td>', num2str(NodeInfos.usedGenes(iInfo)), ...
%         '</td><td>', num2str(mean(ResultsN1.AUCs)), ' &plusmn; ', num2str(std(ResultsN1.AUCs)), ...
%         '</td><td>', num2str(ResultsN1.HeldOutMeanAUC), ...
%         '</td><td>', num2str(ResultsN1.HeldOutMedianAUC), ...
%         '</td><td><a href="figs/N1/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png" target="_blank">', ...
%         '<img border="0" src="figs/N1/small/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png"></a><br>', ...
%         '</td><td>', num2str(mean(ResultsN2.AUCs)), ' &plusmn; ', num2str(std(ResultsN2.AUCs)), ...
%         '</td><td>', num2str(ResultsN2.HeldOutMeanAUC), ...
%         '</td><td>', num2str(ResultsN2.HeldOutMedianAUC), ...
%         '</td><td><a href="figs/N2/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png" target="_blank">', ...
%         '<img border="0" src="figs/N2/small/', GOID(4:end), '_LogReg_bagging10x1_e30_lr0.1_mo0.5_wd0.roc.png"></a><br>', ...
%         '</td><td>', NodeInfos.nodeNames{iInfo}, ...
%         '</td></tr>']);

    disp(['"', GOID(4:end), '"', ...
        '|', num2str(NodeInfos.directGenes(iInfo)), ...
        '|', num2str(NodeInfos.totalGenes(iInfo)), ...
        '|', num2str(NodeInfos.usedGenes(iInfo)), ...
        '|', num2str(mean(ResultsN1.AUCs)), ...
        '|', num2str(std(ResultsN1.AUCs)), ...
        '|', num2str(ResultsN1.HeldOutMeanAUC), ...
        '|', num2str(ResultsN1.HeldOutMedianAUC), ...
        '|', num2str(mean(ResultsN2.AUCs)), ...
        '|', num2str(std(ResultsN2.AUCs)), ...
        '|', num2str(ResultsN2.HeldOutMeanAUC), ...
        '|', num2str(ResultsN2.HeldOutMedianAUC), ...
        '|', '"', NodeInfos.nodeNames{iInfo}, '"', ...
        '|', num2str(ResultsN1.),
        ]);
end
