mc = MicroarrayCollection.MicroarrayCollection()
mc.loadAll()
common = mc.getCommonORFs()
print 'Microarray common genes: %d' % len(common)

import GRID
grid = GRID.Interactions()
grid.loadFile()
common = common.intersection(Set(grid.genes))
print 'Microarray+GRID common genes: %d' % len(common)

import GeneIndex
geneIndex = GeneIndex.GeneIndex()
geneIndex.loadFile()
indexORFs = geneIndex.ORFs
ORFList = [x for x in indexORFs if x in common]
print 'Microarray+GRID+geneIndex common genes: %d' % len(ORFList)
mc.exportMerged(mc.dataroot + 'microarray_merged.mat.txt', ORFList, indexORFs)
